Module javafx.graphics
Package javafx.print

# Class PrinterAttributes

java.lang.Object
javafx.print.PrinterAttributes

public final class PrinterAttributes extends Object
This class encapsulates the attributes of a printer which relate to its job printing capabilities and other attributes.

there are methods to retrieve the default or current value, as well as the set or range of supported values, as appropriate.

Instances of this class are delegates of the `Printer` and must be obtained from the printer. They cannot be mutated by the application as changing settings of a printer is outside the scope of this API.

Since:
  JavaFX 8.0

## Method Summary

Modifier and Type
Method
Description
`Collation`
`getDefaultCollation()`
The default collation setting.
`int`
`getDefaultCopies()`
The default number of copies to print.
`PageOrientation`
`getDefaultPageOrientation()`
Return the default orientation for paper on this printer.
`Paper`
`getDefaultPaper()`
Return the default paper size used on this printer.
`PaperSource`
`getDefaultPaperSource()`
Return the default paper input source/tray/
`PrintColor`
`getDefaultPrintColor()`
Get the default color setting : greyscale or color
`PrintQuality`
`getDefaultPrintQuality()`
Return the default quality setting
`PrintResolution`
`getDefaultPrintResolution()`
Return the default print resolution for paper on this printer.
`PrintSides`
`getDefaultPrintSides()`
Returns the default value for duplex settings.
`int`
`getMaxCopies()`
The maximum supported number of copies.
`Set<Collation>`
`getSupportedCollations()`
Returns an unmodifiable set of the supported collation settings for this printer.
`Set<PageOrientation>`
`getSupportedPageOrientations()`
Returns an unmodifiable set of the supported orientations for this printer.
`Set<Paper>`
`getSupportedPapers()`
Returns an unmodifiable set of the supported paper sizes for this printer.
`Set<PaperSource>`
`getSupportedPaperSources()`
Returns an unmodifiable set of the supported paper sources (ie input bins or trays) for this printer.
`Set<PrintColor>`
`getSupportedPrintColors()`
Returns an unmodifiable set of the supported color settings for this printer.
`Set<PrintQuality>`
`getSupportedPrintQuality()`
Returns an unmodifiable set of the supported quality settings for this printer.
`Set<PrintResolution>`
`getSupportedPrintResolutions()`
Returns an unmodifiable set of the supported print resolutions for this printer.
`Set<PrintSides>`
`getSupportedPrintSides()`
Returns an unmodifiable set of the supported duplex settings for this printer.
`boolean`
`supportsPageRanges()`
Reports if page ranges are supported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefaultCopies

public int getDefaultCopies()
The default number of copies to print.

Returns:
  default number of copies

### getMaxCopies

public int getMaxCopies()
The maximum supported number of copies.

Returns:
  the maximum supported number of copies

### supportsPageRanges

public boolean supportsPageRanges()
Reports if page ranges are supported.

Returns:
  true if page ranges supported.

### getDefaultCollation

public Collation getDefaultCollation()
The default collation setting.

Returns:
  default value of `Collation`

### getSupportedCollations

public Set<Collation> getSupportedCollations()
Returns an unmodifiable set of the supported collation settings for this printer.

Returns:
  the supported values of `Collation`

### getDefaultPrintSides

public PrintSides getDefaultPrintSides()
Returns the default value for duplex settings.

Returns:
  default value of `PrintSides`

### getSupportedPrintSides

public Set<PrintSides> getSupportedPrintSides()
Returns an unmodifiable set of the supported duplex settings for this printer.

Returns:
  the supported values of `PrintSides`

### getDefaultPrintColor

public PrintColor getDefaultPrintColor()
Get the default color setting : greyscale or color

Returns:
  default print color setting.

### getSupportedPrintColors

public Set<PrintColor> getSupportedPrintColors()
Returns an unmodifiable set of the supported color settings for this printer.

Returns:
  the supported values of `PrintColor`

### getDefaultPrintQuality

public PrintQuality getDefaultPrintQuality()
Return the default quality setting

Returns:
  default print quality setting.

### getSupportedPrintQuality

public Set<PrintQuality> getSupportedPrintQuality()
Returns an unmodifiable set of the supported quality settings for this printer.

Returns:
  the supported values of `PrintQuality`

### getDefaultPrintResolution

public PrintResolution getDefaultPrintResolution()
Return the default print resolution for paper on this printer.

Returns:
  default paper resolution

### getSupportedPrintResolutions

public Set<PrintResolution> getSupportedPrintResolutions()
Returns an unmodifiable set of the supported print resolutions for this printer.

Returns:
  the supported values of `PrintResolution`

### getDefaultPageOrientation

public PageOrientation getDefaultPageOrientation()
Return the default orientation for paper on this printer.

Returns:
  default paper orientation

### getSupportedPageOrientations

public Set<PageOrientation> getSupportedPageOrientations()
Returns an unmodifiable set of the supported orientations for this printer.

Returns:
  the supported values of `PageOrientation`

### getDefaultPaper

public Paper getDefaultPaper()
Return the default paper size used on this printer.

Returns:
  default Paper

### getSupportedPapers

public Set<Paper> getSupportedPapers()
Returns an unmodifiable set of the supported paper sizes for this printer.

Returns:
  the supported values of `Paper`

### getDefaultPaperSource

public PaperSource getDefaultPaperSource()
Return the default paper input source/tray/

Returns:
  the default paper input source.

### getSupportedPaperSources

public Set<PaperSource> getSupportedPaperSources()
Returns an unmodifiable set of the supported paper sources (ie input bins or trays) for this printer.

Returns:
  the supported paper input sources